Skip to main content
PUT
/
v3
/
appointment-definitions
/
{appointmentDefinition}
/
staff
/
{definitionStaff}
Update Appointment Definition Staff
curl --request PUT \
  --url https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/staff/{definitionStaff} \
  --header 'Content-Type: application/json' \
  --data '
{
  "is_active": true
}
'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/staff/{definitionStaff}"

payload = { "is_active": True }
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({is_active: true})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/appointment-definitions/{appointmentDefinition}/staff/{definitionStaff}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "appointment_definition_id": 123,
    "staff_id": "<string>",
    "is_active": true,
    "staff": {
      "id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "mobile_phone": "<string>",
      "normal_hours": [
        {
          "id": "<string>",
          "day_of_week": "<string>",
          "available_from": "<string>",
          "available_until": "<string>",
          "is_closed": "<string>"
        }
      ],
      "special_hours": [
        {
          "id": "<string>",
          "name": "<string>",
          "is_repeating": "<string>",
          "available_from": "<string>",
          "available_until": "<string>",
          "start_at": "<string>",
          "end_at": "<string>"
        }
      ]
    },
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Path Parameters

appointmentDefinition
integer
required

The appointment definition ID

definitionStaff
integer
required

The definition staff ID

Body

application/json
is_active
boolean

Response

AppointmentDefinitionStaff

data
AppointmentDefinitionStaff · object
required